Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class BorlandGenerateClient

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.ejb.BorlandGenerateClient

public class BorlandGenerateClient
extends Task

Generates a Borland Application Server 4.5 client JAR using as input the EJB JAR file. Two mode are available: java mode (default) and fork mode. With the fork mode, it is impossible to add classpath to the commmand line.

Author:
  Benoit Moussaud

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BorlandGenerateClient()`

Method Summary
`Path` | `createClasspath()` Adds path to the classpath.
`void` | `execute()` Do the work.
`protected void` | `executeFork()` launch the generate client using system api
`protected void` | `executeForkV4()` launch the generate client using system api
`protected void` | `executeForkV5()` launch the generate client using system api
`protected void` | `executeJava()` launch the generate client using java api
`void` | `setClasspath(Path classpath)` Path to use for classpath.
`void` | `setClasspathRef(Reference r)` Reference to existing path, to use as a classpath.
`void` | `setClientjar(java.io.File clientjar)` Client JAR file name.
`void` | `setDebug(boolean debug)` If true, turn on the debug mode for each of the Borland tools launched.
`void` | `setEjbjar(java.io.File ejbfile)` EJB JAR file.
`void` | `setMode(java.lang.String s)` Command launching mode: java or fork.
`void` | `setVersion(int version)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorlandGenerateClient

    public BorlandGenerateClient()

Method Detail

### setVersion

    public void setVersion(int version)

### setMode

    public void setMode(java.lang.String s)

  Command launching mode: java or fork.

### setDebug

    public void setDebug(boolean debug)

  If true, turn on the debug mode for each of the Borland tools launched.

### setEjbjar

    public void setEjbjar(java.io.File ejbfile)

  EJB JAR file.

### setClientjar

    public void setClientjar(java.io.File clientjar)

  Client JAR file name.

### setClasspath

    public void setClasspath(Path classpath)

  Path to use for classpath.

### createClasspath

    public Path createClasspath()

  Adds path to the classpath.

### setClasspathRef

    public void setClasspathRef(Reference r)

  Reference to existing path, to use as a classpath.

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a separate JVM to run a java task.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### executeJava

    protected void executeJava()
                        throws BuildException

  launch the generate client using java api

  Throws:
    `BuildException`

### executeFork

    protected void executeFork()
                        throws BuildException

  launch the generate client using system api

  Throws:
    `BuildException`

### executeForkV4

    protected void executeForkV4()
                          throws BuildException

  launch the generate client using system api

  Throws:
    `BuildException`

### executeForkV5

    protected void executeForkV5()
                          throws BuildException

  launch the generate client using system api

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.